---
title: CSSUnparsedValue.keys()
slug: Web/API/CSSUnparsedValue/keys
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnparsedValue
  - Constructor
  - Experimental
  - Houdini
  - Method
  - NeedsExample
  - Reference
  - keys()
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnparsedValue.keys()</code></strong> method returns a new <code><strong>Array Iterator</strong></code> object that contains the keys for each index in the array.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>CSSUnparsedValue</var>.keys()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{jsxref("Array")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssunparsedvalue','keys()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnparsedValue.keys")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSUnparsedValue.CSSUnparsedValue()")}}</li>
 <li>{{domxref("CSSUnparsedValue.entries")}}</li>
 <li>{{domxref("CSSUnparsedValue.forEach")}}</li>
 <li>{{domxref("CSSUnparsedValue.length")}}</li>
 <li>{{domxref("CSSUnparsedValue.values")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
